# Uses of Enum Class
org.bukkit.TreeType

Packages that use TreeType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.event.world
`Events` triggered by various `world` states or changes.

## Uses of TreeType in org.bukkit

Methods in org.bukkit that return TreeType
Modifier and Type
Method
Description
`static TreeType`
TreeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeType[]`
TreeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit with parameters of type TreeType
Modifier and Type
Method
Description
`boolean`
RegionAccessor.`generateTree(@NotNull Location location, @NotNull Random random, @NotNull TreeType type)`
Creates a tree at the given `Location`
`boolean`
RegionAccessor.`generateTree(@NotNull Location location, @NotNull Random random, @NotNull TreeType type, @Nullable Predicate<BlockState> statePredicate)`
Creates a tree at the given `Location`
`boolean`
RegionAccessor.`generateTree(@NotNull Location location, @NotNull Random random, @NotNull TreeType type, @Nullable Consumer<BlockState> stateConsumer)`
Creates a tree at the given `Location`
`boolean`
World.`generateTree(@NotNull Location location, @NotNull TreeType type)`
Creates a tree at the given `Location`
`boolean`
World.`generateTree(@NotNull Location loc, @NotNull TreeType type, @NotNull BlockChangeDelegate delegate)`
Deprecated.
this method does not handle tile entities (bee nests)

## Uses of TreeType in org.bukkit.event.world

Methods in org.bukkit.event.world that return TreeType
Modifier and Type
Method
Description
`@NotNull TreeType`
StructureGrowEvent.`getSpecies()`
Gets the species type (birch, normal, pine, red mushroom, brown mushroom)
Constructors in org.bukkit.event.world with parameters of type TreeType
Modifier
Constructor
Description
``
`StructureGrowEvent(@NotNull Location location, @NotNull TreeType species, boolean bonemeal, @Nullable Player player, @NotNull List<BlockState> blocks)`